Query Clients

get
api/clients

Retrieves client information. You can fetch a specific client by their ID or retrieve a list of clients filtered by type or department.

Request

Field Description
client_id [integer] Get individual client by Client ID.
client_type [string] Get clients by Client Type. Returns paginated results (50 clients per request).
department [string] Get clients by Department. Returns paginated results (50 clients per request).

 

 


GET /api/clients?client_id=16&client_type=trade HTTP/1.1
Host: yourcompany.intend.com
api-key: your_api_key_here

Response

A successful request returns HTTP 200 and a JSON response body with client data.

Field Description
id [integer] Client ID.
type

[object] Client type with name and code (see "type object" below).

department [string] Assigned department name as specified in Intend. 
title [string] Full client or company name.
account [string] Unique client account code.
first_name [string] Client's first name.
last_name [string] Client's last name.
email [string] Client's email address.
tier [string] Client tier category.
currency [string] Preferred currency code for the client (e.g., USD).
agent

[object] Associated sales agent information (see "agent object" below).

sub_client_count [integer] Number of sub-clients linked to the client.
discount_scope [string] Scope of discounts available to the client.
discount_rate [integer] Discount percentage.

discount_brackets

(optional)

[array] List of discount brackets.
pricelist [string] Price list name assigned to the client.
tax_ref

[object] Tax reference details (see "tax_ref object" below).

detail

[object] Additional client details (see "detail object" below).

billing_address

[object] Client's billing address details (see "billing_address object" below).

shipping_addresses

[array] Shipping address details (see "shipping_addresses object" below).

contacts [array] List of additional contact persons.
created_on [string] Date of client creation.
approved_on [string] Date when the client was approved.
source [string] Source of creation (e.g., system, web).
source_status [string] Source status code.

type object

name [string] Name of client type (e.g., Retail, Trade).
code [string] Client type code (e.g., retail, trade).

agent object

Field Description
id [integer] Agent ID.
name [string] Agent's name.
account [string] Unique account code for the agent.

tax_ref object

Field Description
code [string] Tax code.
value [integer] Tax value percentage.

detail object

Field Description
contact_number [string] Contact phone number.
contact_person [string] Name of contact person.
website [string] Client's website URL.

registration_number

(optional)

[string] Business registration number.

registration_address

(optional)

[string] Business registration address.

company_number

(optional)

[string] Company number.

eori_number

(optional)

[string] EORI (Economic Operators Registration and Identification) number.
vat_number [string] VAT number.
payment_term [string] Payment term.

billing_address object

Field Description
address_company [string] Company name for billing.
address_contact_name [string] Contact name for billing contact.
address_contact_email [string] Email address for billing contact.
address_contact_number [string] Phone number for billing contact.
address_street_1 [string] Billing address.
address_street_2 [string] Billing address.
address_town [string] Town or city.
address_county [string] Country or state.
address_state [string] State.
address_post_code [string] Postal code.
address_country [string] Country name.
address_note [string] Additional notes for billing address.
address_default [string] Default billing address flag (0 = no , 1 = yes)

shipping_address object

Field Description
address_company [string] Company name for shipping.
address_contact_name [string] Contact name for shipping.
address_contact_email [string] Email address for shipping contact.
address_contact_number [string] Phone number for shipping contact.
address_street_1 [string] Shipping address.
address_street_2 [string] Shipping address.
address_town [string] Town or city
address_county [string] Country or region.
address_state [string] State.
address_post_code [string] Postal code.
address_country [string] Country name.
address_note [string] Additional notes for shipping address.
address_default [string] Default shipping address flag (0 = no, 1 = yes).

{
   "status": 200,
   "response": true,
   "data": {
       "id": 16,
       "type": {
           "name": "Retail",
           "code": "retail"
       },
       "department": "UK",
       "title": "Kristian Hamilton",
       "account": "KRISTI",
       "first_name": "",
       "last_name": "",
       "email": "sale@kristianhamilton.com",
       "tier": "Suspect Client",
       "currency": "GBP",
       "agent": null,
       "sub_client_count": 0,
       "discount_scope": "N",
       "discount_rate": 0,
       "discount_brackets": [],
       "pricelist": "Retail",
       "tax_ref": {
           "code": "T1",
           "value": 20
       },
       "detail": {
           "contact_number": "078 0904 1618",
           "contact_person": "Kristian Hamilton",
           "website": "",
           "registration_number": "",
           "registration_address": null,
           "company_number": null,
           "eori_number": "",
           "vat_number": "",
           "payment_term": "proforma"
       },
       "billing_address": {
           "address_ref": 53,
           "address_company": "",
           "address_contact_name": "",
           "address_contact_email": "sale@kristianhamilton.com",
           "address_contact_number": "078 0904 1618",
           "address_street_1": "2 St. Margarets Avenue",
           "address_street_2": "",
           "address_town": "Stanford-Le-Hope",
           "address_county": "Essex",
           "address_state": "",
           "address_post_code": "SS17 0EL",
           "address_country": "United Kingdom",
           "address_note": "",
           "address_default": "0"
       },
       "shipping_addresses": [],
       "contacts": [],
       "created_on": "2022-07-18T22:49:53.000000Z",
       "approved_on": null,
       "source": "system",
       "source_status": "P"
   },
   "msg": "Request Successful"
}